## ros-melodic-ros1-ign-gazebo-demos 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros1_ign_gazebo_demos)

find_package(catkin REQUIRED)
find_package(ignition-gazebo2 2.1 QUIET REQUIRED)

catkin_package()

install(
  PROGRAMS
    scripts/ign_gazebo
  DESTINATION
    ${CATKIN_PACKAGE_BIN_DESTINATION})

install(
  DIRECTORY
    launch/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(
  DIRECTORY
    rviz/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

=== debian/changelog ===
ros-melodic-ros1-ign-gazebo-demos (0.7.0-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.6.3-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.6.2-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.6.1-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.6.0-1bionic) bionic; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Revert "Pointcloud bridge demo for depth camera"
    This reverts commit 094cd40f21aed734d59c204172ad5afd7a26c8d6.
  * Pointcloud bridge demo for depth camera
  * Contributors: Louise Poubel, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.4.0-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.3.1-1bionic) bionic; urgency=high

  * Merge pull request #24 <https://github.com/osrf/ros1_ign_bridge/issues/24> from osrf/fix_dep
    ignition-gazebo2 needed at build time
  * ignition-gazebo2 needed at build time
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Mon, 01 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.3.0-1bionic) bionic; urgency=high

  * 0.2.0
  * Merge pull request #21 <https://github.com/osrf/ros1_ign_bridge/issues/21> from osrf/lidar
    Point clouds from lidars
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * final tweaks
  * PC2 for gpu_lidar, 1 vertical sample
  * Start of lidar PC
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure
    * Fix tests.
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Contributors: Carlos Agüero, Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Jun 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.2.2-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.2.1-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sat, 11 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.2.0-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-gazebo-demos (0.1.0-1bionic) bionic; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros1-ign-gazebo-demos
Section: misc
Priority: extra
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo2-dev, ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros1-ign-gazebo-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo2-dev, ros-melodic-image-transport-plugins, ros-melodic-ros1-ign-bridge, ros-melodic-ros1-ign-image, ros-melodic-ros1-ign-point-cloud, ros-melodic-rqt-image-view, ros-melodic-rqt-plot, ros-melodic-rviz
Description: Demos using Ignition Gazebo simulation with ROS 1.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros1-ign-gazebo-demos//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
